Debian Bug report logs - #721521
ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Sun, 1 Sep 2013 15:09:02 UTC

Owned by: Fabian Greffrath <fabian@greffrath.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, ghostscript@packages.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org, texlive-fonts-recommended@packages.debian.org, pkg-fonts-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Sun, 01 Sep 2013 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, ghostscript@packages.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org, texlive-fonts-recommended@packages.debian.org, pkg-fonts-devel@lists.alioth.debian.org, wnpp@debian.org. (Sun, 01 Sep 2013 15:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Sun, 01 Sep 2013 17:06:36 +0200
Package: wnpp
Severity: wishlist
Owner: Fabian Greffrath <fabian@greffrath.com>

* Package name    : fonts-urw-base35
  Version         : 2:20130628-1
  Upstream Author : (URW)++ Design & Development
* URL             : http://downloads.ghostscript.com/public/fonts/
* License         : GPL (needs clarification, see #720906)
  Programming Lang: fonts
  Description     : Set of the 35 PostScript Language Level 2 Base Fonts
 A commercial-quality set of the basic 35 PostScript Type 1 fonts.
 Each font includes .pfb (outlines), .afm (metrics), and .pfm (Windows printer
 metrics) files. The fonts are compatible with general Type 1 manipulation
 tools as well as with Ghostscript.

This package will contain an updated set of the 35 PostScript base fonts, that
has been made available by upstream author URW++ to Artifex, the developers of
Ghostscript, and is already shipped as part of ghostscript 9.09. It is intended
to replace the gsfonts package, which contains a fork of an ancient version of
these fonts with added cyrilic glyphs. However, that fork is long unmaintained
upstream and the glyphs are of reportedly questionable quality, which I cannot
judge for myself, though. The package will also integrate the effort to make
the fonts available to an X server and thus replace the gsfonts-x11 package.
Finally, I am going to convince the texlive maintainers to replace their copy
of these fonts in the texlive-fonts-recommended package (used for the psnfss
latex-package) with this pristine release. All corresponsing package
maintainers are in CC.

I am going to maintain this package under the umbrella of the pkg-fonts team.
The license for the fonts used to be GPL, but a corresponding note has
apparently been forgotten in the current release. This issue is reported as
#720906 in Debian (against the ghostscript package, which already ships an
updated version of these fonts, but not yet this latest update) and has been
brought to the attention of ghostscript upstream who will strive for
clarification with URW++ in the short term.

 - Fabian



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Sun, 01 Sep 2013 15:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Sun, 01 Sep 2013 15:42:05 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Sun, 1 Sep 2013 17:38:40 +0200
[Message part 1 (text/plain, inline)]
Le 1 sept. 2013 17:09, "Fabian Greffrath" <fabian@greffrath.com> a écrit :
>
> Package: wnpp
> Severity: wishlist
> Owner: Fabian Greffrath <fabian@greffrath.com>
>
> * Package name    : fonts-urw-base35
>   Version         : 2:20130628-1
>   Upstream Author : (URW)++ Design & Development
> * URL             : http://downloads.ghostscript.com/public/fonts/
> * License         : GPL (needs clarification, see #720906)
>   Programming Lang: fonts
>   Description     : Set of the 35 PostScript Language Level 2 Base Fonts
>  A commercial-quality set of the basic 35 PostScript Type 1 fonts.
>  Each font includes .pfb (outlines), .afm (metrics), and .pfm (Windows
printer
>  metrics) files. The fonts are compatible with general Type 1 manipulation
>  tools as well as with Ghostscript.
>
> This package will contain an updated set of the 35 PostScript base fonts,
that
> has been made available by upstream author URW++ to Artifex, the
developers of
> Ghostscript, and is already shipped as part of ghostscript 9.09. It is
intended
> to replace the gsfonts package, which contains a fork of an ancient
version of
> these fonts with added cyrilic glyphs. However, that fork is long
unmaintained
> upstream and the glyphs are of reportedly questionable quality, which I
cannot
> judge for myself, though. The package will also integrate the effort to
make
> the fonts available to an X server and thus replace the gsfonts-x11
package.
> Finally, I am going to convince the texlive maintainers to replace their
copy
> of these fonts in the texlive-fonts-recommended package (used for the
psnfss
> latex-package) with this pristine release. All corresponsing package
> maintainers are in CC.
>
> I am going to maintain this package under the umbrella of the pkg-fonts
team.
> The license for the fonts used to be GPL, but a corresponding note has
> apparently been forgotten in the current release. This issue is reported
as
> #720906 in Debian (against the ghostscript package, which already ships an
> updated version of these fonts, but not yet this latest update) and has
been
> brought to the attention of ghostscript upstream who will strive for
> clarification with URW++ in the short term.

GPL strait or GPL with font exception?
>
>  - Fabian
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Sun, 01 Sep 2013 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Sun, 01 Sep 2013 18:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 721521@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Fabian Greffrath <fabian@greffrath.com>, 721521@bugs.debian.org
Subject: Re: Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Sun, 01 Sep 2013 20:03:04 +0200
[Message part 1 (text/plain, inline)]
Quoting Fabian Greffrath (2013-09-01 17:06:36)
> Package: wnpp
> Severity: wishlist
> Owner: Fabian Greffrath <fabian@greffrath.com>
> 
> * Package name    : fonts-urw-base35
>   Version         : 2:20130628-1
>   Upstream Author : (URW)++ Design & Development
> * URL             : http://downloads.ghostscript.com/public/fonts/
> * License         : GPL (needs clarification, see #720906)
>   Programming Lang: fonts
>   Description     : Set of the 35 PostScript Language Level 2 Base Fonts
>  A commercial-quality set of the basic 35 PostScript Type 1 fonts.
>  Each font includes .pfb (outlines), .afm (metrics), and .pfm (Windows 
>  printer metrics) files. The fonts are compatible with general Type 1 
>  manipulation tools as well as with Ghostscript.

Saying this is "the 35 PostScript Language Level 2 Base Fonts" is 
incorrect: Only the original Adobe set is _the_ base fonts, this is 
merely a metrics-compatible alternative set of fonts.

Makes little sense to both mention the fonts being type 1 fonts, and 
that they are compatible with type one mainupation tools.

Also makes little sense to call it Ghostscript compatible: Generally 
Ghostscript only requires fonts to be usable with Freetype (most 
commonly thourhg registred with fontconfig), and specifically the need 
for a base35 font set is a requirement of the Postscript language, not 
of Ghostscript specifically.

Also makes little sense to emphasize Ghostscript compatibility: 
Ghostscript generally accepts any fonts usable with Freetype, and the 
specific contraints of the "base 35" set is tied to the Postscript 
language, thus applying to *any* interpreter (not only Ghostscript).

I suggest these description fields:

  Description: font set compatible with Postscript level 2 Base Fonts
 A commercial-quality set of PostScript Type 1 fonts, metrics-compatible
 with the 35 PostScript Language Level 2 Base Fonts.
 .
 Each font includes .pfb (outlines), .afm (metrics), and .pfm (Windows 
 printer metrics) files.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Mon, 02 Sep 2013 00:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Mon, 02 Sep 2013 00:09:04 GMT) Full text and rfc822 format available.

Message #20 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>, 721521@bugs.debian.org
Subject: Re: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Mon, 2 Sep 2013 09:08:03 +0900
Hi Fabian,

On So, 01 Sep 2013, Fabian Greffrath wrote:
> * Package name    : fonts-urw-base35
>   Version         : 2:20130628-1

Good idea, thanks for pushing that forward.

> Finally, I am going to convince the texlive maintainers to replace their copy
> of these fonts in the texlive-fonts-recommended package (used for the psnfss

Can easily be done.

Let me know where your git (or svn) repo is and I can help on that package.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Mon, 02 Sep 2013 05:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Sep 2013 05:03:07 GMT) Full text and rfc822 format available.

Message #25 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 721521@bugs.debian.org
Subject: Re: Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Mon, 02 Sep 2013 07:02:42 +0200
Am Sonntag, den 01.09.2013, 20:03 +0200 schrieb Jonas Smedegaard: 
> Saying this is "the 35 PostScript Language Level 2 Base Fonts" is 
> incorrect: Only the original Adobe set is _the_ base fonts, this is 
> merely a metrics-compatible alternative set of fonts.

Very valid point!

>   Description: font set compatible with Postscript level 2 Base Fonts
>  A commercial-quality set of PostScript Type 1 fonts, metrics-compatible
>  with the 35 PostScript Language Level 2 Base Fonts.
>  .
>  Each font includes .pfb (outlines), .afm (metrics), and .pfm (Windows 
>  printer metrics) files.

Applied, thank you!





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Mon, 02 Sep 2013 06:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Sep 2013 06:09:07 GMT) Full text and rfc822 format available.

Message #30 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: 721521@bugs.debian.org
Subject: Re: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Mon, 02 Sep 2013 08:05:47 +0200
Am Montag, den 02.09.2013, 09:08 +0900 schrieb Norbert Preining: 
> Can easily be done.

We must not forget to remove the symlinks from
texlive-fonts-recommended's copy of these fonts
into /usr/share/fonts/type1 then.

> Let me know where your git (or svn) repo is and I can help on that package.

Thanks, it's here:

http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-urw-base35.git






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Mon, 02 Sep 2013 14:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Mon, 02 Sep 2013 14:36:04 GMT) Full text and rfc822 format available.

Message #35 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org
Subject: Re: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Mon, 2 Sep 2013 23:33:45 +0900
On Mo, 02 Sep 2013, Fabian Greffrath wrote:
> We must not forget to remove the symlinks from
> texlive-fonts-recommended's copy of these fonts
> into /usr/share/fonts/type1 then.

Sure.

Anything else?


> http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-urw-base35.git

Cloned it, looks fine.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 08:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 08:12:05 GMT) Full text and rfc822 format available.

Message #40 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>, Jonas Smedegaard <dr@jones.dk>
Cc: 721521 <721521@bugs.debian.org>, gsfonts@packlages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 10:09:28 +0200
Dear Jonas and Norbert,

Am Montag, den 02.09.2013, 23:33 +0900 schrieb Norbert Preining:
> > http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-urw-base35.git
> 
> Cloned it, looks fine.

having seen that Debian #720906 has been closed, I have updated the
debian/copyright file for fonts-urw-base35 in GIT accordingly and
consider the package ready now. Since none of the former maintainers of
gsfonts and gsfonts-x11, respectively, have raised any concerns, I'd
like to ask you to review the package and upload if appropriate.

Thank you!

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Tue, 03 Sep 2013 14:33:04 GMT) Full text and rfc822 format available.

Message #45 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521 <721521@bugs.debian.org>, gsfonts@packlages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 3 Sep 2013 23:30:27 +0900
Hi Fabian,

On Di, 03 Sep 2013, Fabian Greffrath wrote:
> like to ask you to review the package and upload if appropriate.

First question:
Why 
	2:20130628-1
this package has never been released to Debian. Since you are building
gsfonts which is currently at 1:8.11 would
	1:20130628-1
not suffice? (Or what am I missing?)

Otherwise it looks fine for me and I will upload it.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 14:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 14:51:07 GMT) Full text and rfc822 format available.

Message #50 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>, 721521@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, gsfonts@packlages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 16:47:44 +0200
Hello Norbert,

thanks for the review!

Am Dienstag, den 03.09.2013, 23:30 +0900 schrieb Norbert Preining: 
> this package has never been released to Debian. Since you are building
> gsfonts which is currently at 1:8.11 would
> 	1:20130628-1
> not suffice? (Or what am I missing?)

Yes, you are right. Since 20130628 >> 8.11 an epoch "1:" should be
sufficient. My idea was, since we need an epoch anyway, I could raise it
to separate the new package from the gsfonts versioning scheme.

> Otherwise it looks fine for me and I will upload it.

Great, thanks! Are you going to add yourself to Uploaders?

- Fabian

PS: I have seen that
e.g. /usr/share/texlive/texmf-dist/fonts/map/dvips/helvetic/uhv.map
explicitely mentions the font name "NimbusSanL-Regu". However, this has
slightly changed in fonts-urw-base35. Is this something that needs to be
patched in texlive?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Tue, 03 Sep 2013 15:09:04 GMT) Full text and rfc822 format available.

Message #55 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packlages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 4 Sep 2013 00:04:41 +0900
On Di, 03 Sep 2013, Fabian Greffrath wrote:
> Yes, you are right. Since 20130628 >> 8.11 an epoch "1:" should be
> sufficient. My idea was, since we need an epoch anyway, I could raise it
> to separate the new package from the gsfonts versioning scheme.

Ok, makes sense.

> Great, thanks! Are you going to add yourself to Uploaders?

Not necessarily for now. I just sponsor it if you are fine with that.

> e.g. /usr/share/texlive/texmf-dist/fonts/map/dvips/helvetic/uhv.map
> explicitely mentions the font name "NimbusSanL-Regu". However, this has
> slightly changed in fonts-urw-base35. Is this something that needs to be
> patched in texlive?

By now we are shipping the URW fonts in TeX Live without links
(/usr/share/texlive/texmf-dist/fonts/type1/urw/)

Is the coverage of the new gsfonts/fonts-urw as wide as the coverage
of the fonts currently in TeX Live? Or, in other words, is it a 
complete replacement?

IN this case I can arrange that in the next upload of TeX Live packages
we do *not* ship the fonts, but dpend on fonts-urw* and link to the 
files.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 15:27:04 GMT) Full text and rfc822 format available.

Message #60 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>, 721521@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 17:26:40 +0200
Am Mittwoch, den 04.09.2013, 00:04 +0900 schrieb Norbert Preining: 
> Not necessarily for now. I just sponsor it if you are fine with that.

Yes, sure.

> Is the coverage of the new gsfonts/fonts-urw as wide as the coverage
> of the fonts currently in TeX Live? Or, in other words, is it a 
> complete replacement?

I'd say it definitely *should* ;) The fonts have been provided by the
same upstream as exact that, a drop-in replacement for the fonts shipped
with ghostscript. I don't know, however, in how far texlive followed the
urwcyr fork. If it did, the cyrillic glyphs will be missing.

How can we check that?

> IN this case I can arrange that in the next upload of TeX Live packages
> we do *not* ship the fonts, but dpend on fonts-urw* and link to the 
> files.

That was the idea, after all.

I am still considering, by the way, to do what ghostscript did with the
fonts and reset the font name and font family fields in the binary files
to match those of the gsfonts release...

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 17:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Tue, 03 Sep 2013 17:39:05 GMT) Full text and rfc822 format available.

Message #65 received at 721521@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Fabian Greffrath <fabian@greffrath.com>, Norbert Preining <preining@logic.at>
Cc: 721521 <721521@bugs.debian.org>, gsfonts@packlages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 10:35:01 +0200
[Message part 1 (text/plain, inline)]
Quoting Fabian Greffrath (2013-09-03 10:09:28)
> Dear Jonas and Norbert,
> 
> Am Montag, den 02.09.2013, 23:33 +0900 schrieb Norbert Preining:
> > > http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-urw-base35.git
> > 
> > Cloned it, looks fine.
> 
> having seen that Debian #720906 has been closed, I have updated the 
> debian/copyright file for fonts-urw-base35 in GIT accordingly and 
> consider the package ready now. Since none of the former maintainers 
> of gsfonts and gsfonts-x11, respectively, have raised any concerns, 
> I'd like to ask you to review the package and upload if appropriate.

Oh, I am surprised: I thought your intend was to maintain it, not 
prepare it for others to maintain.

If I am to maintain it, I will repackage using CDBS, as that's how I 
manage to maintain the other 300+ package I am currently involved in.  
But really I'd prefer not getting involved in this one - I have plenty 
other packages already, and others in the pipeline.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 18:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Tue, 03 Sep 2013 18:09:16 GMT) Full text and rfc822 format available.

Message #70 received at 721521@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Fabian Greffrath <fabian@greffrath.com>, Norbert Preining <preining@logic.at>, 721521@bugs.debian.org
Cc: gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 20:06:52 +0200
[Message part 1 (text/plain, inline)]
Quoting Fabian Greffrath (2013-09-03 17:26:40)
> I am still considering, by the way, to do what ghostscript did with 
> the fonts and reset the font name and font family fields in the binary 
> files to match those of the gsfonts release...

Why?  Sounds like a _very_ bad idea to me (no matter if others did 
similar bad stuff in the past).

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 19:27:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 19:27:20 GMT) Full text and rfc822 format available.

Message #75 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Jonas Smedegaard <dr@jones.dk>
Cc: Norbert Preining <preining@logic.at>, 721521 <721521@bugs.debian.org>, gsfonts@packlages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 21:27:58 +0200
Am Dienstag, den 03.09.2013, 10:35 +0200 schrieb Jonas Smedegaard: 
> Oh, I am surprised: I thought your intend was to maintain it, not 
> prepare it for others to maintain.

You misread me! I was just surprised that I announce for about a week
now that I am going to replace the gsfonts and gsfonts-x11 packages and
did not get a single reply for the respective maintainers. All I
requested from you (Norbert and Jonas) was sposoring the upload for that
package that I *do* intent to maintain myself.

> If I am to maintain it, I will repackage using CDBS, as that's how I 
> manage to maintain the other 300+ package I am currently involved in.  
> But really I'd prefer not getting involved in this one - I have plenty 
> other packages already, and others in the pipeline.

Alright, let's keep it as it is. Is it just me or is there a subtle
aggressiveness in your mails?

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 19:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 19:36:10 GMT) Full text and rfc822 format available.

Message #80 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 21:35:11 +0200
Am Dienstag, den 03.09.2013, 20:06 +0200 schrieb Jonas Smedegaard: 
> Why?  Sounds like a _very_ bad idea to me (no matter if others did 
> similar bad stuff in the past).

Because the font names may be hard coded somewhere (the internal
FontName and FontFamily fields, I am not talking about the file names). 

This is how it looks for the current gsfonts package:

~/Debian/gsfonts-8.11+urwcyr1.0.7~pre44$ grep -a 'FontName' *.pfb
a010013l.pfb:/FontName /URWGothicL-Book def
a010015l.pfb:/FontName /URWGothicL-Demi def
a010033l.pfb:/FontName /URWGothicL-BookObli def
a010035l.pfb:/FontName /URWGothicL-DemiObli def
b018012l.pfb:/FontName /URWBookmanL-Ligh def
b018015l.pfb:/FontName /URWBookmanL-DemiBold def
b018032l.pfb:/FontName /URWBookmanL-LighItal def
b018035l.pfb:/FontName /URWBookmanL-DemiBoldItal def
c059013l.pfb:/FontName /CenturySchL-Roma def
c059016l.pfb:/FontName /CenturySchL-Bold def
c059033l.pfb:/FontName /CenturySchL-Ital def
c059036l.pfb:/FontName /CenturySchL-BoldItal def
d050000l.pfb:/FontName /Dingbats def
n019003l.pfb:/FontName /NimbusSanL-Regu def
n019004l.pfb:/FontName /NimbusSanL-Bold def
n019023l.pfb:/FontName /NimbusSanL-ReguItal def
n019024l.pfb:/FontName /NimbusSanL-BoldItal def
n019043l.pfb:/FontName /NimbusSanL-ReguCond def
n019044l.pfb:/FontName /NimbusSanL-BoldCond def
n019063l.pfb:/FontName /NimbusSanL-ReguCondItal def
n019064l.pfb:/FontName /NimbusSanL-BoldCondItal def
n021003l.pfb:/FontName /NimbusRomNo9L-Regu def
n021004l.pfb:/FontName /NimbusRomNo9L-Medi def
n021023l.pfb:/FontName /NimbusRomNo9L-ReguItal def
n021024l.pfb:/FontName /NimbusRomNo9L-MediItal def
n022003l.pfb:/FontName /NimbusMonL-Regu def
n022004l.pfb:/FontName /NimbusMonL-Bold def
n022023l.pfb:/FontName /NimbusMonL-ReguObli def
n022024l.pfb:/FontName /NimbusMonL-BoldObli def
p052003l.pfb:/FontName /URWPalladioL-Roma def
p052004l.pfb:/FontName /URWPalladioL-Bold def
p052023l.pfb:/FontName /URWPalladioL-Ital def
p052024l.pfb:/FontName /URWPalladioL-BoldItal def
s050000l.pfb:/FontName /StandardSymL def
z003034l.pfb:/FontName /URWChanceryL-MediItal def

These are the values those fields carry since decades. Now, for the
updated release, URW decided to slightly modify those fields:

~/Debian/fonts-urw-base35$ grep -a 'FontName' *.pfb
a010013l.pfb:/FontName /URWGothic-Boo def
a010015l.pfb:/FontName /URWGothic-Dem def
a010033l.pfb:/FontName /URWGothic-BooObl def
a010035l.pfb:/FontName /URWGothic-DemObl def
b018012l.pfb:/FontName /BookmanURW-Lig def
b018015l.pfb:/FontName /BookmanURW-DemBol def
b018032l.pfb:/FontName /BookmanURW-LigIta def
b018035l.pfb:/FontName /BookmanURW-DemBolIta def
c059013l.pfb:/FontName /CenturySchURW-Rom def
c059016l.pfb:/FontName /CenturySchURW-Bol def
c059033l.pfb:/FontName /CenturySchURW-Ita def
c059036l.pfb:/FontName /CenturySchURW-BolIta def
d050000l.pfb:/FontName /Dingbats def
n019003l.pfb:/FontName /NimbusSan-Reg def
n019004l.pfb:/FontName /NimbusSan-Bol def
n019023l.pfb:/FontName /NimbusSan-Ita def
n019024l.pfb:/FontName /NimbusSan-BolIta def
n019043l.pfb:/FontName /NimbusSanNar-Reg def
n019044l.pfb:/FontName /NimbusSanNar-Bol def
n019063l.pfb:/FontName /NimbusSanNar-Ita def
n019064l.pfb:/FontName /NimbusSanNar-BolIta def
n021003l.pfb:/FontName /NimbusRom-Reg def
n021004l.pfb:/FontName /NimbusRom-Med def
n021023l.pfb:/FontName /NimbusRom-Ita def
n021024l.pfb:/FontName /NimbusRom-MedIta def
n022003l.pfb:/FontName /NimbusMon-Reg def
n022004l.pfb:/FontName /NimbusMon-Bol def
n022023l.pfb:/FontName /NimbusMon-Obl def
n022024l.pfb:/FontName /NimbusMon-BolObl def
p052003l.pfb:/FontName /PalladioURW-Rom def
p052004l.pfb:/FontName /PalladioURW-Bol def
p052023l.pfb:/FontName /PalladioURW-Ita def
p052024l.pfb:/FontName /PalladioURW-BolIta def
s050000l.pfb:/FontName /StandardSymL def
z003034l.pfb:/FontName /ChanceryURW-MedIta def

I am afraid these FontNames are expected and have even found them
hard-coded in texlive. Thus, I am considering to reset these fields back
to the values of the gsfonts package. Ghostscript has already done this
for the fonts in the Resource/Font directory to circumvent that exact
issue. They did also rename the font file names, but this is not what I
am talking about.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 19:36:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 19:36:20 GMT) Full text and rfc822 format available.

Message #85 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Jonas Smedegaard <dr@jones.dk>
Cc: Norbert Preining <preining@logic.at>, 721521 <721521@bugs.debian.org>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 21:36:04 +0200
[Resent to get rid of that typo in gsfonts@packages.debian.org.]

Am Dienstag, den 03.09.2013, 10:35 +0200 schrieb Jonas Smedegaard: 
> Oh, I am surprised: I thought your intend was to maintain it, not 
> prepare it for others to maintain.

You misread me! I was just surprised that I announce for about a week
now that I am going to replace the gsfonts and gsfonts-x11 packages and
did not get a single reply for the respective maintainers. All I
requested from you (Norbert and Jonas) was sposoring the upload for that
package that I *do* intent to maintain myself.

> If I am to maintain it, I will repackage using CDBS, as that's how I 
> manage to maintain the other 300+ package I am currently involved in.  
> But really I'd prefer not getting involved in this one - I have plenty 
> other packages already, and others in the pipeline.

Alright, let's keep it as it is. Is it just me or is there a subtle
aggressiveness in your mails?

- Fabian






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 19:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Tue, 03 Sep 2013 19:51:10 GMT) Full text and rfc822 format available.

Message #90 received at 721521@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Norbert Preining <preining@logic.at>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 21:47:30 +0200
[Message part 1 (text/plain, inline)]
Quoting Fabian Greffrath (2013-09-03 21:36:04)
> [Resent to get rid of that typo in gsfonts@packages.debian.org.]
> 
> Am Dienstag, den 03.09.2013, 10:35 +0200 schrieb Jonas Smedegaard:
>> Oh, I am surprised: I thought your intend was to maintain it, not 
>> prepare it for others to maintain.
> 
> You misread me! I was just surprised that I announce for about a week 
> now that I am going to replace the gsfonts and gsfonts-x11 packages 
> and did not get a single reply for the respective maintainers. All I 
> requested from you (Norbert and Jonas) was sposoring the upload for 
> that package that I *do* intent to maintain myself.

Ah, ok.

I don't do sponsoring (believe it is bad for Debian - nothing personal! 
- I believe teams is the better approach) so good to see that Norbert is 
helpful with that.


>> If I am to maintain it, I will repackage using CDBS, as that's how I 
>> manage to maintain the other 300+ package I am currently involved in.  
>> But really I'd prefer not getting involved in this one - I have 
>> plenty other packages already, and others in the pipeline.
> 
> Alright, let's keep it as it is. Is it just me or is there a subtle 
> aggressiveness in your mails?

Not intentional!

...Not the first time I come across as aggressive, though, so not 
surprised: Sorry for the bad impression I make. :-(


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 20:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Tue, 03 Sep 2013 20:09:12 GMT) Full text and rfc822 format available.

Message #95 received at 721521@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Fabian Greffrath <fabian@greffrath.com>, 721521@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 03 Sep 2013 22:06:15 +0200
[Message part 1 (text/plain, inline)]
Quoting Fabian Greffrath (2013-09-03 21:35:11)
> Am Dienstag, den 03.09.2013, 20:06 +0200 schrieb Jonas Smedegaard: 
> > Why?  Sounds like a _very_ bad idea to me (no matter if others did 
> > similar bad stuff in the past).
> 
> Because the font names may be hard coded somewhere (the internal 
> FontName and FontFamily fields, I am not talking about the file 
> names).
> 
> This is how it looks for the current gsfonts package:
> 
> ~/Debian/gsfonts-8.11+urwcyr1.0.7~pre44$ grep -a 'FontName' *.pfb
> a010013l.pfb:/FontName /URWGothicL-Book def
> a010015l.pfb:/FontName /URWGothicL-Demi def
> a010033l.pfb:/FontName /URWGothicL-BookObli def
[snip]
> These are the values those fields carry since decades. Now, for the 
> updated release, URW decided to slightly modify those fields:
> 
> ~/Debian/fonts-urw-base35$ grep -a 'FontName' *.pfb
> a010013l.pfb:/FontName /URWGothic-Boo def
> a010015l.pfb:/FontName /URWGothic-Dem def
> a010033l.pfb:/FontName /URWGothic-BooObl def
[snip]
> 
> I am afraid these FontNames are expected and have even found them 
> hard-coded in texlive. Thus, I am considering to reset these fields 
> back to the values of the gsfonts package. Ghostscript has already 
> done this for the fonts in the Resource/Font directory to circumvent 
> that exact issue. They did also rename the font file names, but this 
> is not what I am talking about.

Not all choices made by Ghostscript project are relevant for Debian to 
follow.

Could it be that there is a good reason for the renaming?

Might it affect some uses of the official font that we distort it?  An 
example coming to my mind is Postscript files referencing a font without 
embedding it - produced on a host with the pristine font installed).

Is there perhaps a way to "symlink" old FontName to new one - in TeX 
and/or in fontconfig or other places?

If we "hack" the font, should we then better change some font 
identifiers to ensure our flavor of the font is distinct from the 
pristine one?


To me it seems we have a chance of shipping a commercial grade font in 
its pristine form, and I worry that we ruin that opportunity.

I am no expert in this - I just know from my work at a prepress bureau 
in past millenium that a font is still a font after tumbling it through 
a font editor, but is no longer the same so should then preferrably have 
some ID fields changed so as to avoid clashing with the original.

I can imagine that the World of fonts is already a huge mess, but would 
prefer not making it worse.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Tue, 03 Sep 2013 22:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 22:12:07 GMT) Full text and rfc822 format available.

Message #100 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 721521@bugs.debian.org, Norbert Preining <preining@logic.at>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 04 Sep 2013 00:10:20 +0200
Am Dienstag, den 03.09.2013, 22:06 +0200 schrieb Jonas Smedegaard: 
> Could it be that there is a good reason for the renaming?

Honestly, I have no idea.

> Might it affect some uses of the official font that we distort it?  An 
> example coming to my mind is Postscript files referencing a font without 
> embedding it - produced on a host with the pristine font installed).
> 
> Is there perhaps a way to "symlink" old FontName to new one - in TeX 
> and/or in fontconfig or other places?

It should be no issue for Ghostscript and X11, as they map font names to
files via /etc/ghostscript/fontmap.d/10fonts-urw-base35.conf
and /etc/X11/fonts/Type1/fonts-urw-base35.scale respectively. It was,
however, an issue for fontconfig which works on font names. The rules
in /etc/fonts/conf.d/30-metric-aliases.conf did not apply anymore,
because they matched on font names. But i was able to fix this with 
/etc/fonts/conf.d/31-fonts-urw-base35.conf which maps the old font names
to the new ones.

The only system that also uses this font and that I am not sure about
the effect of the changed FontName field is latex. That is why I kindly
ask Norbert to test the psnfss package with the new fonts. I will also
try to do some test, but will not get to it before Thursday (or even
next week).

> If we "hack" the font, should we then better change some font 
> identifiers to ensure our flavor of the font is distinct from the 
> pristine one?

I would add "+gs9.10" to the package version number then.

> To me it seems we have a chance of shipping a commercial grade font in 
> its pristine form, and I worry that we ruin that opportunity.

That's really an important point! Let's see how latex reacts to the
mofified font names and then further discuss how to proceed.

Good night,

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Wed, 04 Sep 2013 01:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Wed, 04 Sep 2013 01:03:04 GMT) Full text and rfc822 format available.

Message #105 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 4 Sep 2013 10:00:31 +0900
Hi Fabian,

many emails, short answer.

On Mi, 04 Sep 2013, Fabian Greffrath wrote:
> The only system that also uses this font and that I am not sure about
> the effect of the changed FontName field is latex. That is why I kindly

That will break with renaming, since the map files list the *FontName*
so changing the FontName needs adjustment of the .map files.

> That's really an important point! Let's see how latex reacts to the
> mofified font names and then further discuss how to proceed.

For now we can upload. As long as the TeX Live package do not 
ship symlinks to the new fonts nothing happens.

On the usptream (TeX Live) (I am also maintainer there) I will see if
we can prepare an updated package for CTAN with the exact fonts,
which would solve the problem automatically.

Bottom line: Is there anything else before I should sponsor this package?

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Wed, 04 Sep 2013 01:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Wed, 04 Sep 2013 01:03:07 GMT) Full text and rfc822 format available.

Message #110 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 4 Sep 2013 10:01:49 +0900
On Di, 03 Sep 2013, Fabian Greffrath wrote:
> > Why?  Sounds like a _very_ bad idea to me (no matter if others did 
> > similar bad stuff in the past).
> 
> Because the font names may be hard coded somewhere (the internal
> FontName and FontFamily fields, I am not talking about the file names). 

One more thing - I *agree* (for now at least) that *chanigng the /FontName
is *not* a good idea.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Wed, 04 Sep 2013 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Sep 2013 08:15:04 GMT) Full text and rfc822 format available.

Message #115 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 04 Sep 2013 10:15:03 +0200
Hi Norbert et al.,

Am Mittwoch, den 04.09.2013, 10:00 +0900 schrieb Norbert Preining: 
> For now we can upload. As long as the TeX Live package do not 
> ship symlinks to the new fonts nothing happens.
> 
> On the usptream (TeX Live) (I am also maintainer there) I will see if
> we can prepare an updated package for CTAN with the exact fonts,
> which would solve the problem automatically.

It would be great if you could take care upstream that texlive is made
compatible with the new urw-base35 fonts release.

> Bottom line: Is there anything else before I should sponsor this package?

I'd say "no", but I am sure that a huge glaring bug will occur the
second after the package is uploaded. :)

> One more thing - I *agree* (for now at least) that *chanigng
> the /FontName
> is *not* a good idea.

By this you mean that changing the /FontName fields *back* to the values
of the old gsfonts package is a bad idea? Alright, then we just keep the
font files untouched.

Thank you for sposoring already!

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Wed, 04 Sep 2013 08:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Wed, 04 Sep 2013 08:27:07 GMT) Full text and rfc822 format available.

Message #120 received at 721521@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org, Norbert Preining <preining@logic.at>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 04 Sep 2013 10:22:07 +0200
[Message part 1 (text/plain, inline)]
Quoting Fabian Greffrath (2013-09-04 00:10:20)
> Am Dienstag, den 03.09.2013, 22:06 +0200 schrieb Jonas Smedegaard: 
>> If we "hack" the font, should we then better change some font 
>> identifiers to ensure our flavor of the font is distinct from the 
>> pristine one?
> 
> I would add "+gs9.10" to the package version number then.

I was more thinking about XUID and other ID fields.

(thanks for the other comments - I just have no remarks to those)


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Wed, 04 Sep 2013 11:00:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Wed, 04 Sep 2013 11:00:18 GMT) Full text and rfc822 format available.

Message #125 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 4 Sep 2013 19:59:47 +0900
Hi Fabian,

On Mi, 04 Sep 2013, Fabian Greffrath wrote:
> > On the usptream (TeX Live) (I am also maintainer there) I will see if
> > we can prepare an updated package for CTAN with the exact fonts,
> > which would solve the problem automatically.

I have contacted Walter and Karl, as you have seen. Let us see.

> It would be great if you could take care upstream that texlive is made
> compatible with the new urw-base35 fonts release.

In due time, there is no hurry, as the new fonts do not improve too
much over what is currently on CTAN/TL.

> I'd say "no", but I am sure that a huge glaring bug will occur the
> second after the package is uploaded. :)

Sure, as usual. That is why we have unstable ;-)

> By this you mean that changing the /FontName fields *back* to the values
> of the old gsfonts package is a bad idea? Alright, then we just keep the
> font files untouched.

Right, that was the idea. Thanks.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Wed, 04 Sep 2013 11:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Sep 2013 11:54:07 GMT) Full text and rfc822 format available.

Message #130 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 04 Sep 2013 13:51:24 +0200
Am Mittwoch, den 04.09.2013, 19:59 +0900 schrieb Norbert Preining: 
> > I'd say "no", but I am sure that a huge glaring bug will occur the
> > second after the package is uploaded. :)
> 
> Sure, as usual. That is why we have unstable ;-)

Please wait a minute, I have found one!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Wed, 04 Sep 2013 12:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Sep 2013 12:24:07 GMT) Full text and rfc822 format available.

Message #135 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 04 Sep 2013 14:22:52 +0200
Hi Norbert,

Am Mittwoch, den 04.09.2013, 19:59 +0900 schrieb Norbert Preining: 
> I have contacted Walter and Karl, as you have seen. Let us see.

Yes, I have seen. Thanks!

> In due time, there is no hurry, as the new fonts do not improve too
> much over what is currently on CTAN/TL.

Sure, but deviations from upstream should be kept at a minimum IMHO.

> Sure, as usual. That is why we have unstable ;-)

Phew, that was close. We need to remove the conffiles of the gsfonts and
gsfonts-x11 package upon installation of fonts-urw-base35. Else we would
update the font mappings for ghostscript and X11 with wrong font paths.

Should be fixed now in GIT. Please make sure to pull the latest changes
before uploading. It could use a test-run through piuparts, though, but
I currently do not have enough bandwidth to install a sid chroot. :/

Cheers,

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Thu, 05 Sep 2013 07:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 05 Sep 2013 07:09:04 GMT) Full text and rfc822 format available.

Message #140 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Thu, 05 Sep 2013 09:06:59 +0200
Am Mittwoch, den 04.09.2013, 14:22 +0200 schrieb Fabian Greffrath: 
> Should be fixed now in GIT. Please make sure to pull the latest changes
> before uploading. It could use a test-run through piuparts, though, but
> I currently do not have enough bandwidth to install a sid chroot. :/

The package passes cleanly through piuparts now. Furthermore, I have
weakened the Dependency on xfonts-utils introduced by dh_installxfonts
to a Recommends so the packages does not force in any X11-related
packages anymore.

Should be *really* ready for upload now! Please pull the latest commits,
though.

Cheers,

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Fri, 06 Sep 2013 03:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Fri, 06 Sep 2013 03:00:04 GMT) Full text and rfc822 format available.

Message #145 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org
Subject: fonts-urw-base35 and metrics
Date: Fri, 6 Sep 2013 11:52:37 +0900
Hi Fabian,

I wanted to ask you one thing: Are the font *metrics* unchanged,
thus a drop-in replacement of the Adobe fonts, and also a drop-in
replacement for the previous URW fonts?

The point is, if we have to regenerate metrics on the TeX side,
this will create havoc.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Fri, 06 Sep 2013 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Fri, 06 Sep 2013 06:33:05 GMT) Full text and rfc822 format available.

Message #150 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Jonas Smedegaard <dr@jones.dk>, 721521@bugs.debian.org, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Fri, 6 Sep 2013 15:29:38 +0900
Hi Fabian,

a few comments:

On Do, 05 Sep 2013, Fabian Greffrath wrote:
> Should be *really* ready for upload now! Please pull the latest commits,
> though.

No, I fixed one more buglet, the path in the gs fontmap snippet
were pointing to
	/usr/share/fonts/type/fonts-urw-base35/
which is wrong, the fonts are in .../urw-base35/ (no "fonts-" directory
part).

I fixed that and updated the changelog for a new date and committed the
change, please pull before doing any further changes.


Then: Do you have the agreement from the maintainers of gsfonts and
gsfonts-x11 to take over the two packages? Sorry, I haven't seen
any email, so I want ot make sure.

Thanks

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Sat, 07 Sep 2013 19:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Sep 2013 19:12:07 GMT) Full text and rfc822 format available.

Message #155 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>, 721521@bugs.debian.org
Subject: Re: Bug#721521: fonts-urw-base35 and metrics
Date: Sat, 07 Sep 2013 21:11:39 +0200
Hey Norbert,

Am Freitag, den 06.09.2013, 11:52 +0900 schrieb Norbert Preining: 
> I wanted to ask you one thing: Are the font *metrics* unchanged,
> thus a drop-in replacement of the Adobe fonts, and also a drop-in
> replacement for the previous URW fonts?

Honestly, I haven't checked that yet. But I wouldn't be surprised to
find some subtle differences. Actually, fixing some of the metrics to be
more compatible to the original base fonts was the very reason for URW
releasing the update.

> The point is, if we have to regenerate metrics on the TeX side,
> this will create havoc.

That's the price of technological progress, if you are asking me. :)

Cheers,

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Sat, 07 Sep 2013 19:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Sep 2013 19:15:09 GMT) Full text and rfc822 format available.

Message #160 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>, 721521@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Sat, 07 Sep 2013 21:14:55 +0200
Hi again,

Am Freitag, den 06.09.2013, 15:29 +0900 schrieb Norbert Preining: 
> No, I fixed one more buglet, the path in the gs fontmap snippet
> were pointing to
> 	/usr/share/fonts/type/fonts-urw-base35/
> which is wrong, the fonts are in .../urw-base35/ (no "fonts-" directory
> part).

o_O Good catch! I would have sweared that I have found and fixed all
glitches like this so far.

> I fixed that and updated the changelog for a new date and committed the
> change, please pull before doing any further changes.

Maybe commited, but not yet pushed. Please do so.

> Then: Do you have the agreement from the maintainers of gsfonts and
> gsfonts-x11 to take over the two packages? Sorry, I haven't seen
> any email, so I want ot make sure.

No, not yet. I admit, I am a bit puzzled about that as well. I have
included them in every mail in CC so far and did not get a single
reaction yet - neither positive nor negative. Will try again in a
minute...

Thank you!

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Sat, 07 Sep 2013 19:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Sep 2013 19:57:07 GMT) Full text and rfc822 format available.

Message #165 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Kenshi Muto <kmuto@debian.org>, "Masayuki Hatta (mhatta)" <mhatta@debian.org>, Roland Rosenfeld <roland@debian.org>
Cc: Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org, Norbert Preining <preining@logic.at>, 721521@bugs.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Sat, 07 Sep 2013 21:54:49 +0200
Dear Kenshi Muto, Masayuki Hatta and Roland Rosenfeld,

I contact you, because you are the latest active maintainers of the
gsfonts and gsfonts-x11 packages, respectively.

As you may have seen already in #721521, I am going to upload the
fonts-urw-base35 packages that contains the latest update of upstream
author URW to the font set that is metric compatible to the Postscript
35 base set. Thus, it will replace the gsfonts package and provide a
transitional dummy package of that name. Furthermore, while at it, I am
going to merge the effort to make these fonts available to X11 from the
gsfonts-x11 package. Thus, this package will get replaced with a
transitional dummy packages as well.

Since these are firmally "your" packages, I'd like to make sure you are
informed about these consequences beforehand. Furthermore, I would
appreciate if you could acknowledge these changes or raise your
objections now, before it is probably a bit late.

Thank you very much for your replies!

Best regards,

- Fabian


Am Freitag, den 06.09.2013, 15:29 +0900 schrieb Norbert Preining: 
> Hi Fabian,
> 
> a few comments:
> 
> On Do, 05 Sep 2013, Fabian Greffrath wrote:
> > Should be *really* ready for upload now! Please pull the latest commits,
> > though.
> 
> No, I fixed one more buglet, the path in the gs fontmap snippet
> were pointing to
> 	/usr/share/fonts/type/fonts-urw-base35/
> which is wrong, the fonts are in .../urw-base35/ (no "fonts-" directory
> part).
> 
> I fixed that and updated the changelog for a new date and committed the
> change, please pull before doing any further changes.
> 
> 
> Then: Do you have the agreement from the maintainers of gsfonts and
> gsfonts-x11 to take over the two packages? Sorry, I haven't seen
> any email, so I want ot make sure.
> 
> Thanks
> 
> Norbert
> 
> ------------------------------------------------------------------------
> PREINING, Norbert                               http://www.preining.info
> JAIST, Japan                                 TeX Live & Debian Developer
> DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
> ------------------------------------------------------------------------
> 





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Sat, 07 Sep 2013 23:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Sat, 07 Sep 2013 23:57:07 GMT) Full text and rfc822 format available.

Message #170 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Sun, 8 Sep 2013 08:53:20 +0900
Hi Fabian,

On Sa, 07 Sep 2013, Fabian Greffrath wrote:
> Maybe commited, but not yet pushed. Please do so.

Upps, probably - it is at the university now, cannot do anything.
Will push it tomorrow.

> No, not yet. I admit, I am a bit puzzled about that as well. I have

Umpf. You *cannot* take over a package without agreement of
the current maintainers. THat is considered forceful takeover
and will not be accepted.

Probably already straight away rejected by ftp-masters.

As long as the maintainers of gsfonts do not agree, there is no chance
I will upload it.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Mon, 09 Sep 2013 00:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Mon, 09 Sep 2013 00:15:09 GMT) Full text and rfc822 format available.

Message #175 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Mon, 9 Sep 2013 09:10:30 +0900
On So, 08 Sep 2013, Norbert Preining wrote:
> > Maybe commited, but not yet pushed. Please do so.
> 
> Upps, probably - it is at the university now, cannot do anything.
> Will push it tomorrow.

Pushed now.

> As long as the maintainers of gsfonts do not agree, there is no chance
> I will upload it.

See here.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Mon, 09 Sep 2013 04:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 04:33:05 GMT) Full text and rfc822 format available.

Message #180 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Mon, 09 Sep 2013 06:30:41 +0200
Am Montag, den 09.09.2013, 09:10 +0900 schrieb Norbert Preining: 
> Pushed now.

Thanks!

> > As long as the maintainers of gsfonts do not agree, there is no chance
> > I will upload it.
> See here.

What if they don't reply? Escalate to d-devel?

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Mon, 09 Sep 2013 04:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Mon, 09 Sep 2013 04:39:05 GMT) Full text and rfc822 format available.

Message #185 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Mon, 9 Sep 2013 13:34:08 +0900
> What if they don't reply? Escalate to d-devel?

Nothing. There is no way you can easily take over a package.

You *can* upload fonts-urw-base35 and do everything there is, *without*
sjhipping temporary gsfonts packages.

That is fine.

But package take over is difficult. As it was mentioned recently
on d-d:
	We can easily change the init system of Debian, but
	not change maintainership.

ALl the best

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Mon, 09 Sep 2013 08:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 08:45:05 GMT) Full text and rfc822 format available.

Message #190 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>, 721521@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Mon, 09 Sep 2013 10:45:40 +0200
Am Montag, den 09.09.2013, 13:34 +0900 schrieb Norbert Preining: 
> Nothing. There is no way you can easily take over a package.

So they can block development by sheer ignorance?

> You *can* upload fonts-urw-base35 and do everything there is, *without*
> sjhipping temporary gsfonts packages.

If I reverted all the changes that lead fonts-urw-base35 to replace
gsfonts{,-x11}, would you make texlive-fonts-recommended depend on it
and replace its own copy with symlinks? Maybe it is easier to convince
the current maintainers to give up their packages if there is an
actively used successor that one could point at.

- Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Tue, 10 Sep 2013 01:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Tue, 10 Sep 2013 01:09:04 GMT) Full text and rfc822 format available.

Message #195 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 10 Sep 2013 10:04:41 +0900
Hi Fabian,

On Mo, 09 Sep 2013, Fabian Greffrath wrote:
> So they can block development by sheer ignorance?

You are a bit overdoing. First, did you consider the fact that
the fonts currently in gsfonts provide cyrillic glyphs.

Now removing them, what are the consequences?

Are you aware, have you planned for that? Have you provided alternatives?

There are a lot of packages wiht rdepends on gsfonts(-x11). You 
have to consider the impact of yor changes.

Only because there is a newer upstream or release, it does not mean
it makes immediate sense to go forth with it.

> If I reverted all the changes that lead fonts-urw-base35 to replace
> gsfonts{,-x11}, would you make texlive-fonts-recommended depend on it
> and replace its own copy with symlinks? Maybe it is easier to convince

That I will do after we - the TeX Live team (upstream, not Debian!) -
has taken the new URW fonts. For this we have to evaluate the
metrics.

You mentioned in a previous email "the price of progress" or similar.
While here we are speaking of the chance of breakage of *many* documents
out there relying proper metrics.

Do you want to have Don Knuth coming after you because suddenly the
ps files he creates look weird because the spacing is wrong?

You really should consider the consequences and impact. Changing the 
base35 fonts is *not* to be undertaken lightly.

I am in discussion with Karl Berry about that. But as long as none of
us (you, me, Karl, Walter Schmidt, ...) comes up with an evaluation of
the metrics and changes, it will take a bit of time.


My suggestion is:
* upload fonts-urw-base35 without any gsfonts relations whatsoever.
* file bugs against gsfonts(-x11) on transition to fonts-urw-base35
  optimally, provide a transition plan, evaluate impact on other
  packages, especially with respect to the included glyph coverage
* file bugs against TL (or you did already I guess)
and, if you want  and have time and energy
* provide an analysis of the metric changes that have been introduced
  together with a rationale for that

ALl the best

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Tue, 10 Sep 2013 11:12:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Sep 2013 11:12:23 GMT) Full text and rfc822 format available.

Message #200 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Tue, 10 Sep 2013 13:12:30 +0200
Hi Norbert,

Am Dienstag, den 10.09.2013, 10:04 +0900 schrieb Norbert Preining:
> You are a bit overdoing. First, did you consider the fact that
> the fonts currently in gsfonts provide cyrillic glyphs.
> Now removing them, what are the consequences?
> Are you aware, have you planned for that? Have you provided 
> alternatives?

The cyrillic glyphs were added to the urwcyr fork back in the GNOME 1.x
days. At that time, GNOME still used the X11 font server to display
fonts and there were no free fonts with a better glyph coverage
available. Both facts have changed now.

The cyrillic glyphs from the urwcyr fork have been merged into the GNU
Freefont project. I mention this in the package description and also
suggest that package.

Reportedly, the glyphs were of questionable quality and the latin glyphs
were also (unintentionally) modified in this fork. For that reason, both
Ghostscript and TeX reverted back to the pristine URW releases. AFAICT
both have never made use of the cyrillic glyphs, anyway, since the
original Adobe base fonts also never contained them.

> There are a lot of packages wiht rdepends on gsfonts(-x11). You 
> have to consider the impact of yor changes.

The fonts are made available to X11 under the same names as in the
gsfonts-x11 package. The scale and alias files were left untouched.

> Only because there is a newer upstream or release, it does not mean
> it makes immediate sense to go forth with it.

Sure, that's right. But there is also no need to stick to the old
solution just because it happens to work somehow. And I think in this
case it makes really sense to replace an old unmaintained fork with a
new release by the original upstream, who happens to be a professional
font manufacturer, and which addresses all the issues that have led to
prior micro-forking among the involved projects.

> That I will do after we - the TeX Live team (upstream, not Debian!) -
> has taken the new URW fonts. For this we have to evaluate the
> metrics.

Honestly, I have no idea how to "evaluate" the metrics and how to
justify then if they have improved or become worse or changed too much.
I am, however, sure that optimizing the metrics to be more like the
Adobe ones was part of the deal that led to the new URW upstream
release.

> Do you want to have Don Knuth coming after you because suddenly the
> ps files he creates look weird because the spacing is wrong?

Well, *that* would be an interesting afternoon. :)

> I am in discussion with Karl Berry about that. But as long as none of
> us (you, me, Karl, Walter Schmidt, ...) comes up with an evaluation of
> the metrics and changes, it will take a bit of time.

As mentioned before, since I cannot tell you if the metrics are better
or worse from a TeX point of view, I'll leave that up to you to decide.

> My suggestion is:
> * upload fonts-urw-base35 without any gsfonts relations whatsoever.
> * file bugs against gsfonts(-x11) on transition to fonts-urw-base35
> optimally, provide a transition plan, evaluate impact on other
>   packages, especially with respect to the included glyph coverage

Alright, I'll do that next.

> * file bugs against TL (or you did already I guess)
> and, if you want  and have time and energy

As soon as the package hits unstable.

> * provide an analysis of the metric changes that have been introduced
>   together with a rationale for that

Tell me what you need to know and I'll try my best.

> ALl the best

Seems like I'll need it. :)

Cheers,

Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Wed, 11 Sep 2013 10:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Sep 2013 10:24:04 GMT) Full text and rfc822 format available.

Message #205 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Wed, 11 Sep 2013 12:22:04 +0200
Hi Norbert et al.,

Am Dienstag, den 10.09.2013, 10:04 +0900 schrieb Norbert Preining: 
> My suggestion is:
> * upload fonts-urw-base35 without any gsfonts relations whatsoever.

Done now it GIT, could you please have a look at it?

Thank you!

- Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>:
Bug#721521; Package wnpp. (Thu, 12 Sep 2013 01:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Fabian Greffrath <fabian@greffrath.com>. (Thu, 12 Sep 2013 01:18:08 GMT) Full text and rfc822 format available.

Message #210 received at 721521@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Thu, 12 Sep 2013 10:14:11 +0900
On Mi, 11 Sep 2013, Fabian Greffrath wrote:
> Done now it GIT, could you please have a look at it?

Sure: Can I ask you one more change ... sorry for being picky.

For now, I would suggest to remove the epoch, as it is not necessary
anymore.

What do you think?

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721521; Package wnpp. (Thu, 12 Sep 2013 04:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 Sep 2013 04:36:04 GMT) Full text and rfc822 format available.

Message #215 received at 721521@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Norbert Preining <preining@logic.at>
Cc: 721521@bugs.debian.org, Jonas Smedegaard <dr@jones.dk>, gsfonts@packages.debian.org, gsfonts-x11@packages.debian.org
Subject: Re: Bug#721521: [Pkg-fonts-devel] Bug#721521: ITP: fonts-urw-base35 -- Set of the 35 PostScript Language Level 2 Base Fonts
Date: Thu, 12 Sep 2013 06:34:14 +0200
Am Donnerstag, den 12.09.2013, 10:14 +0900 schrieb Norbert Preining: 
> For now, I would suggest to remove the epoch, as it is not necessary
> anymore.

Alright, it is removed in GIT.

Thanks!

- Fabian





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:29:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.